<div>
    <div class="row">
        <div class="col-md-10 col-xs-12">
            <div data-ng-repeat="f in used" ng-switch on="f.type">
                <div ng-switch-when="text" filter-name="f"></div>
                <div ng-switch-when="select" filter-select="f"></div>
                <div ng-switch-when="daterange" filter-daterange="f"></div>
                <div ng-switch-when="multiselect" filter-multi-select="f"></div>
                <div ng-switch-when="calendardate" filter-calendar-date="f"></div>
            </div>
            <div class="filter-placeholder" data-ng-click="openEdit($event)" data-ng-show="available.length">
                <i class="material-icons icon">add</i>
                <span data-ng-hide="editing" class="placeholder">Add filter</span>
                <span data-ng-show="editing" class="placeholder">Select filter</span>
                <span style="position: relative">
                    <ul class="dropdown-menu" data-ng-show="editing" >
                        <li data-ng-repeat="filter in available track by filter.txName"  data-ng-class="$index == active ? 'active':''">
                            <a href data-ng-click="addFilter(filter,$event)">
                                <div>{{filter.display}}</div>
                            </a>
                        </li>
                    </ul>
                </span>
            </div>
        </div>
        <div class="col-md-2 hidden-xs">
            <div class="btn-group pull-right text-nowrap" style="display: flex;">
                <button data-ng-click="apply()" class="btn btn-md btn-outline rounded b-light white"><i class="material-icons"></i> Search</button>
                <button data-ng-click="apply(true)" class="btn btn-md btn-outline btn-icon b-light white"><i class="material-icons"></i></button>
                <button data-ng-click="clear()" class="btn btn-md btn-outline btn-icon b-light white"><i class="material-icons"></i></button>
            </div>
        </div>
    </div>
    <div data-ng-show="available.length" class="row hidden-xs">
        <div class="col-md-12">
            <span data-ng-repeat="filter in available | orderBy : 'display'" class="clickable suggested" style="margin-right: 1em;" data-ng-click="addFilter(filter,$event);">{{filter.display}}</span>
        </div>
    </div>
</div>